

<div id="team-segment" class="ui raised segment loading">
    <h2 class="ui header">
        <i class="cogs icon"></i>
        <div class="content">
            Gestion des joueurs
        </div>
    </h2>
    <div class="ui divider"></div>

    <table class="ui celled table">
        <thead>
          <tr>
              <th>Name</th>
            <th>Options</th>
            <th>Team</th>
        </tr></thead>
        <tbody>
        <tr *ngFor="let player of players">
            <td>{{ player.Name }}</td>
            <td>{{ player.Role }}</td>
            <td>{{ player.Team_name }}</td>
            <td style="width: 150px;">
                <div class="icon-container" data-id="{{ player.id }}">
                    <i class="trash alternate icon" (click)="onDeleteUser($event);"></i>
                    <i class="edit outline icon"></i>
                </div>
            </td>
        </tr>
        </tbody>
      </table>


      <form class="ui form" id="user-create-form">
        <div class="inline fields">
            <div class="form-field">
                <div class="single-field">
                    <div class="four wide field">
                        <label>Nom du joueur </label>
                    </div>
                    <div class="eleven wide field">
                        <input id="userName" type="text" name="name" placeholder="" required>
                    </div>
                </div>
                <div class="single-field">
                    <div class="four wide field">
                        <label>Rôle du joueur </label>
                    </div>
                    <input id="userRole" type="text" name="role" placeholder="" required>
                </div>
                <div class="single-field">
                    <div class="four wide field">
                        <label>Equipe du joueur </label>
                    </div>
                    <select id="teamSelect">
                        <option id="{{ team.id }}" *ngFor="let team of teams" value="{{ team.name }}">{{ team.name }}</option>
                    </select>   
                </div>
            </div>
            
            <div class="three wide field">
                <button class="ui button green" (click)="onInsertUser($event)" style="margin:auto;" type="submit">Submit</button>
            </div>
        </div>
        
      </form>
</div>